import { SimpleLocalClient } from '../../core/index.js';
import type { IBthomeConfig } from './bthome.types.js';
import { bthomeProfile } from './bthome.types.js';

export class BthomeClient extends SimpleLocalClient<IBthomeConfig> {
  constructor(configArg: IBthomeConfig) {
    super(bthomeProfile, configArg);
  }
}
